kompendium
2.0.2
2.0.2 2.0.1

# Parameter

data class Parameter (name: String , in: String , schema: ComponentSchema , description: String ?, required: Boolean , deprecated: Boolean , allowEmptyValue: Boolean ?, style: String ?, explode: Boolean ?, examples: Map < String , Parameter.Example >?)
Content copied to clipboard

## Types

Example
Link copied to clipboard
data class Example (value: Any )
Content copied to clipboard

## Properties

allowEmptyValue
Link copied to clipboard
val allowEmptyValue : Boolean ? = null
Content copied to clipboard
deprecated
Link copied to clipboard
val deprecated : Boolean = false
Content copied to clipboard
description
Link copied to clipboard
val description : String ? = null
Content copied to clipboard
examples
Link copied to clipboard
val examples : Map < String , Parameter.Example >? = null
Content copied to clipboard
explode
Link copied to clipboard
val explode : Boolean ? = null
Content copied to clipboard
in
Link copied to clipboard
val in : String
Content copied to clipboard
name
Link copied to clipboard
val name : String
Content copied to clipboard
required
Link copied to clipboard
val required : Boolean = true
Content copied to clipboard
schema
Link copied to clipboard
val schema : ComponentSchema
Content copied to clipboard
style
Link copied to clipboard
val style : String ? = null
Content copied to clipboard